Subject: [VGUI] Mingw32 and V - ftp file, IDE???
From: [email-masked] (Bruce Wampler)

6 Mar 1998 22:10:49 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: VGUI <[email-masked]>

I have just placed a new file, ftp://objectcentral.com/mingw32.tgz on
the ftp
site. It has two new makefiles that can be used to compile V with
mingw32 for g++ 2.8.0 (and probably cygwin, too.) There are a couple
of typos in the current 1.17 distribution that have to be fixed, which
is discussed in the rdmw32.txt file.

Speaking of mingw32, anyone interested in an IDE project using
V? All that is really lacking from V is code to handle pipes -
starting g++ and retrieving the error messages. I have a good
start on an editor - the vTextEdit class has more to it than is
documented at the moment. With a class to interact with
the compiler on Windows, OS/2, and Linux, it would be pretty
easy to build a nice IDE. We might even be able to get Cygnus
to let us use the code they had at one point for a GUI for gdb.
I can't do this one alone, but would like to be really involved.
--

Bruce E. Wampler, Ph.D.

Author of the V C++ GUI Framework

e-mail: [email-masked]
web:    www.objectcentral.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".